Re: NetBSD 10.0 - configure test process hang

Riccardo Mottola <[email protected]>
Newsgroups gmane.os.netbsd.ports.sparc
Message-ID <[email protected]>
Hi,

and this hang?
Sent with HTLM so lines hopefully don't wrap=

sits here:
  ELC      emacs-lock.elc

All processes:
 UID   PID  PPID   CPU PRI NI   VSZ   RSS WCHAN  STAT TTY      TIME COMMAND
   0  1469     1 17886  81  0  5872   768 ttyraw Is+  ttya  0:00.11
/usr/libexec/getty suncons constty
1000   183  1023     0  85  0  7020   908 pause  Is   pts/0 0:00.56 -csh
   0 21067   183     0  85  0 12976  1212 poll   I+   pts/0 0:03.44 sudo
make install
   0  1107 16464 51942  31  0 67104 20000 parked Il+  pts/1 0:06.39
../src/emacs -batch --no-site-lisp --no-site-file --eval (setq
load-prefer-newer t) -f batch-
   0  1721 26455  2813  85  0  6228  1048 wait   I+   pts/1 0:00.14
/bin/sh -c set -e;\t\t\t\t\t\t\t\t test -n "" && echo 1>&2 "ERROR:"  &&
exit 1;  exec 3<&0;\t
   0  2209 24056 16831  81  0  8724   888 wait   I+   pts/1 0:18.43
/usr/bin/make LOWER_OPSYS=netbsd _PKGSRC_BARRIER=yes
ALLOW_VULNERABLE_PACKAGES= package-insta
   0  3234 29653  9568  83  0  7132  1336 wait   I+   pts/1 0:01.05
/bin/sh -c (cd . && \t\t\t     \\\nels=`echo ". ./calc ./calendar
./cedet ./cedet/ede ./cedet
   0  4180 16464 55012  30  0 67104 20000 parked Il+  pts/1 0:06.66
../src/emacs -batch --no-site-lisp --no-site-file --eval (setq
load-prefer-newer t) -f batch-
   0  4569 21067     0  85  0 12976   664 poll   Is   pts/1 0:00.03 sudo
make install
   0  6448  1721 10557  83  0  8184   888 wait   I+   pts/1 0:15.38
/usr/bin/make _MAKE=/usr/bin/make OPSYS=NetBSD OS_VERSION=10.0
OPSYS_VERSION=100000 LOWER_OPS
   0 10439 10610 19000  81  0  7504  2216 wait   I+   pts/1 0:05.16
/usr/pkg/bin/gmake all
   0 10610  2209 10607  83  0  7344   952 wait   I+   pts/1 0:04.77
/usr/pkg/bin/gmake -j2 -f Makefile bootstrap
   0 16464  3234 21758  80  0  7832  2844 select I+   pts/1 0:04.36
/usr/pkg/bin/gmake compile-targets NATIVE_DISABLED=
TARGETS=./emacs-lisp/eieio.elc ./emacs-li
   0 18085 10439 31443  78  0  8784  2364 wait   I+   pts/1 0:00.70
/usr/pkg/bin/gmake -C lisp all
   0 24056  6448 11160  83  0  6132  1048 wait   I+   pts/1 0:00.08
/bin/sh -c set -e;\t\t\t\t\t if test -n "" &&  /usr/sbin/pkg_info -K
/var/db/pkg -qe emacs28-
   0 26455  4569  4251  84  0  8152   880 wait   I+   pts/1 0:06.20 make
install
   0 29653 18085 22812  80  0  6244  1464 wait   I+   pts/1 0:00.10
/bin/sh -c (cd . && \t\t\t     \\\nels=`echo ". ./calc ./calendar
./cedet ./cedet/ede ./cedet
1000  6394 15741     0  85  0  9248  1808 pause  S    pts/2 0:01.78 -csh
(tcsh)
1000 10270  6394  1024  42  0  6448  1344 -      O+   pts/2 0:00.08 ps -al
   0 13865 13763     0  85  0 13596   800 wait   Is   pts/2 0:01.41 login
1000 15741 13865     0  85  0  6908   932 pause  I    pts/2 0:00.70 -csh

-+= 00001 root init
 |--= 00698 root /usr/sbin/syslogd -s
 |-+= 01139 root sshd: /usr/sbin/sshd [listener] 0 of 10-100 startups (sshd)
 | \-+= 00187 root sshd: multix [priv]
 |   \-+- 01023 multix sshd: multix@pts/0 (sshd)
 |     \-+= 00183 multix -csh
 |       \-+= 21067 root sudo make install
 |         \-+= 04569 root sudo make install
 |           \-+= 26455 root make install
 |             \-+- 01721 root /bin/sh -c set -e;\t\t\t\t\t\t\t\t test
-n "" && echo 1>&2 "ERROR:"  && exit 1;  exec 3<&0;\t\t\t\t\t\t\t while
read type pattern
 |               \-+- 06448 root /usr/bin/make _MAKE=/usr/bin/make
OPSYS=NetBSD OS_VERSION=10.0 OPSYS_VERSION=100000 LOWER_OPSYS=netbsd
_PKGSRCDIR=/usr/pkgsrc PK
 |                 \-+- 24056 root /bin/sh -c set -e;\t\t\t\t\t if test
-n "" &&  /usr/sbin/pkg_info -K /var/db/pkg -qe emacs28-28.2nb15; then 
echo ===\\> "Skip
 |                   \-+- 02209 root /usr/bin/make LOWER_OPSYS=netbsd
_PKGSRC_BARRIER=yes ALLOW_VULNERABLE_PACKAGES= package-install
 |                     \-+- 10610 root /usr/pkg/bin/gmake -j2 -f
Makefile bootstrap
 |                       \-+- 10439 root /usr/pkg/bin/gmake all
 |                         \-+- 18085 root /usr/pkg/bin/gmake -C lisp all
 |                           \-+- 29653 root /bin/sh -c (cd . &&
\t\t\t     \\\nels=`echo ". ./calc ./calendar ./cedet ./cedet/ede
./cedet/semantic ./cedet/seman
 |                             \-+- 03234 root /bin/sh -c (cd . &&
\t\t\t     \\\nels=`echo ". ./calc ./calendar ./cedet ./cedet/ede
./cedet/semantic ./cedet/sem
 |                               \-+- 16464 root /usr/pkg/bin/gmake
compile-targets NATIVE_DISABLED= TARGETS=./emacs-lisp/eieio.elc
./emacs-lisp/eieio-base.elc .
 |                                 |--- 01107 root ../src/emacs -batch
--no-site-lisp --no-site-file --eval (setq load-prefer-newer t) -f
batch-byte-compile emac
 |                                 \--- 04180 root ../src/emacs -batch
--no-site-lisp --no-site-file --eval (setq load-prefer-newer t) -f
batch-byte-compile calc
 |-+= 01372 root /usr/libexec/postfix/master -w
 | |--- 01880 postfix qmgr -l -t unix -u
 | \--- 23599 postfix pickup -l -t unix -u
 |--= 01470 root /usr/sbin/cron
 |-+= 01848 root /usr/sbin/inetd -l
 | \-+- 13763 root telnetd -a none
 |   \-+= 13865 root login
 |     \-+= 15741 multix -csh
 |       \-+= 06394 multix -csh (tcsh)
 |         \-+= 19538 multix proctree
 |           \--- 00438 multix ps -axwwo user,pid,ppid,pgid,command
 \--= 01469 root /usr/libexec/getty suncons constty


Seems the two emacs processes are "parked"

I tried attaching with gdb
sudo gdb --pid=01107

but it didn't find the process.

Riccardo
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.